-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT



    

		
/* START of phase PerfUpgradeTo710 */
        
			
                    	ALTER  TABLE @SCHEMA@.LSW_TIMING_INTERVAL 
						ADD (
						"IS_AUTO" NCHAR(1) DEFAULT 'T'  NOT NULL ENABLE
						)
					
GO


	                    	update @SCHEMA@.lsw_timing_interval set is_auto='F' where length(external_unique_id) <= 33
						
GO


		
/* END of phase PerfUpgradeTo710 */
        
	
    

  		
/* START of phase PerfUpgradeTo720 */
        
  			
ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"MAX_STEP" DECIMAL(31,0) DEFAULT 0
GO


CREATE INDEX @SCHEMA@.LSWC_TASK_NQ3 
    ON @SCHEMA@.LSW_TASK(
    "MAX_STEP")
    
GO


CREATE INDEX @SCHEMA@.LSWC_TASK_NQ4 
    ON @SCHEMA@.LSW_TASK(
    "CREATION_TIME",
    "TASK_ID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_TASK_NQ5 
    ON @SCHEMA@.LSW_TASK(
    "START_TIME",
    "TASK_ID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_TASK_NQ6 
    ON @SCHEMA@.LSW_TASK(
    "END_TIME",
    "TASK_ID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_TRCKNGPTL_NQ4 
    ON @SCHEMA@.LSW_TRACKING_POINT_VALUE(
    "TIME_STAMP",
    "TRACKING_POINT_VALUE_ID")
    
GO


  							ALTER TABLE @SCHEMA@.LSW_DATA_TRANSFER_ERRORS ALTER COLUMN ERROR SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE @SCHEMA@.LSW_SYSTEM ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE @SCHEMA@.LSW_TRACKED_FIELD ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE @SCHEMA@.LSW_TRACKING_POINT ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  						
GO


  		
/* END of phase PerfUpgradeTo720 */
        
  		
  		
/* START of phase UpgradeTrackingGroupIndices */
        
  			
CREATE INDEX @SCHEMA@.%Constraint_Prefix%_IDX1 
    ON @SCHEMA@.%Table_Name%(
    "TIME_STAMP")
    
GO


  		
/* END of phase UpgradeTrackingGroupIndices */
        

        
/* START of phase UpgradeTGColumns */
        
            
ALTER TABLE @SCHEMA@.%TRACKING_GROUP_NAME% ALTER "%COLUMN_NAME%" SET DATA TYPE VARCHAR(%COLUMN_LENGTH%)
GO


        
/* END of phase UpgradeTGColumns */
        

    
    

        
/* START of phase PerfUpgradeTo750 */
        
            
        
/* END of phase PerfUpgradeTo750 */
        
    
    

        
/* START of phase PerfUpgradeTo751 */
        
            
        
/* END of phase PerfUpgradeTo751 */
        
    
    

        
/* START of phase PerfUpgradeTo800 */
        
            
        
/* END of phase PerfUpgradeTo800 */
        
    
    

		
/* START of phase PerfUpgradeTo801 */
        
			
ALTER TABLE @SCHEMA@.LSW_TASK DROP CHECK "ASSIGNED_GROUP_ID"

GO


ALTER TABLE @SCHEMA@.LSW_TASK ALTER "ASSIGNED_GROUP_ID" SET DATA TYPE VARCHAR( 1044)
GO

 
ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT "ASSIGNED_GROUP_ID" CHECK (CHARACTER_LENGTH("ASSIGNED_GROUP_ID",CODEUNITS16) <= 261)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


		
/* END of phase PerfUpgradeTo801 */
        
	
    

        
/* START of phase PerfUpgradeTo850 */
        
            
        
/* END of phase PerfUpgradeTo850 */
        
    